Skip to main content
PUT
/
namespaces
/
{namespaceId}
Update a namespace
curl --request PUT \
  --url https://mycluster.domino.tech/namespaces/{namespaceId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "status": "<string>",
  "allowMultipleAssignments": true,
  "description": "<string>"
}
'
{
  "allowMultipleAssignments": true,
  "createdAt": "<string>",
  "createdBy": {
    "userID": "<string>",
    "username": "<string>"
  },
  "description": "<string>",
  "entityCount": {
    "app": 123,
    "netappVolume": 123,
    "project": 123,
    "total": 123
  },
  "id": "<string>",
  "label": "<string>",
  "tagCount": 123,
  "updatedAt": "<string>",
  "updatedBy": {
    "userID": "<string>",
    "username": "<string>"
  }
}

Path Parameters

namespaceId
string
required

Namespace UUID

Body

application/json

Namespace fields to update

label
string
required
status
string
required
allowMultipleAssignments
boolean
description
string

Response

OK

allowMultipleAssignments
boolean
createdAt
string
createdBy
object
description
string
entityCount
object
id
string
label
string
status
enum<string>
Available options:
active,
deprecated
tagCount
integer
updatedAt
string
updatedBy
object